关于Elasticsearch-6.3版本数据源连接时报“服务出错”问题的解决方案
2021-03-09 10:21
admin
2021-03-09 10:24   3
原因是Elasticsearch的JDBC驱动依赖的log4j-2.9.1有版本冲突问题,需要将驱动中的log4j依赖库
log4j-api-2.9.1.jar、log4j-core-2.9.1.jar删除,并替换为新版本log4j库:
2021-03-09 10:23
admin
新log4j库下载地址:
https://repo1.maven.org/maven2/org/apache/logging/log4j/log4j-api/2.13.3/log4j-api-2.13.3.jar
2021-03-09 10:24
admin
https://repo1.maven.org/maven2/org/apache/logging/log4j/log4j-core/2.13.3/log4j-core-2.13.3.jar

注:如果无法删除log4j库,请先重启DataGear系统再删除
2021-03-09 10:24
admin
京ICP备18055183号-1
Copyright 2018 datagear.tech. All Rights Reserved.